Package org.apache.lucene.util.packed

# Class PackedLongValues.Iterator

java.lang.Object
org.apache.lucene.util.packed.PackedLongValues.Iterator

Enclosing class:
  `PackedLongValues`

public final class PackedLongValues.Iterator extends Object
An iterator over long values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `hasNext()`
  Whether or not there are remaining values.
  `final long`
  `next()`
  Return the next long in the buffer.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### hasNext

    public final boolean hasNext()
    Whether or not there are remaining values.

  - ### next

    public final long next()
    Return the next long in the buffer.